Get Customer
Retrieve the details of a specific customer
Get Customer Endpoint (2026-03-01)
Retrieve the details of a specific customer using its ID.X-API-Version: 2026-03-01 header in your request to use this API version.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the customer to retrieve
Query Parameters
The type of identifier provided in the path. Use id (the default) to look up by the Numeral customer ID, or reference_customer_id to look up by your own reference customer ID.
id, reference_customer_id Response
Customer details
The ID of the customer
"cus_123456789"
The type of object: tax.customer
"tax.customer"
The ID of the customer in your system
"20506"
The name of the created customer
"Customer Name"
The email of the created customer
"customer@example.com"
If true, all POST /tax/calculations sold to this customer will return $0 in tax owed. The default value is false.
true